f = imread('football.jpg');
[M N d] = size(f);
g =uint8(zeros(M,N,3));
for x=1:M
    for y=1:N
        g(x,y,1)= f(x,y,1)/2;
        g(x,y,2)= f(x,y,2);
        g(x,y,3)= f(x,y,3);
        
    end
end
imshow(g);
